import { RendererEvent } from '../utils/renderer-event';
import { RendererAction, ListenerAction, ListenerContext } from './Action';
export interface ILinkAction extends ListenerAction {
    args: {
        link: string;
        url?: never;
        blank?: boolean;
        params?: {
            [key: string]: string;
        };
        [propName: string]: any;
    };
}
export interface IUrlAction extends ListenerAction {
    args: {
        url: string;
        link?: never;
        blank?: boolean;
        params?: {
            [key: string]: string;
        };
        [propName: string]: any;
    };
}
/**
 * 打开页面动作
 *
 * @export
 * @class LinkAction
 * @implements {Action}
 */
export declare class LinkAction implements RendererAction {
    run(action: ListenerAction, renderer: ListenerContext, event: RendererEvent<any>): Promise<void>;
}
