import { RendererEvent } from '../utils/renderer-event';
import { RendererAction, ListenerAction, ListenerContext, LogicAction } from './Action';
export interface ILoopAction extends ListenerAction, LogicAction {
    args: {
        loopName: string;
        [propName: string]: any;
    };
}
/**
 * 循环动作
 *
 * @export
 * @class LoopAction
 * @implements {Action}
 */
export declare class LoopAction implements RendererAction {
    run(action: ILoopAction, renderer: ListenerContext, event: RendererEvent<any>, mergeData: any): Promise<void>;
}
